package com.sooka.system.gas.zenner_meter_reading_infor.service.impl;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import com.sooka.system.gas.zenner_meter_reading_infor.domain.TGuijiZennerMeterReadingInfor;
import com.sooka.system.gas.zenner_meter_reading_infor.mapper.TGuijiZennerMeterReadingMapper;
import com.sooka.system.gas.zenner_meter_reading_infor.service.ITGuijiZennerMeterReadingInforService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 真兰收费系统-抄表信息Service业务层处理
 *
 * @author lei
 * @date 2022-08-22
 */
@Service
public class TGuijiZennerMeterReadingInforServiceImpl implements ITGuijiZennerMeterReadingInforService
{
    @Autowired
    private TGuijiZennerMeterReadingMapper mapper;

    /**
     * 查询真兰收费系统-抄表信息
     *
     * @param id 真兰收费系统-抄表信息ID
     * @return 真兰收费系统-抄表信息
     */
    @Override
    public TGuijiZennerMeterReadingInfor selectById(String id)
    {
        return mapper.selectById(id);
    }

    /**
     * 查询真兰收费系统-抄表信息列表
     *
     * @param param 真兰收费系统-抄表信息
     * @return 真兰收费系统-抄表信息
     */
    @Override
    public List<TGuijiZennerMeterReadingInfor> selectList(TGuijiZennerMeterReadingInfor param)
    {
        return mapper.selectList(param);
    }

    /**
     * 新增真兰收费系统-抄表信息
     *
     * @param param 真兰收费系统-抄表信息
     * @return 结果
     */
    @Override
    public int insert(TGuijiZennerMeterReadingInfor param)
    {
        param.setCreateTime(DateUtils.getNowDate());
        return mapper.insert(param);
    }

    /**
     * 修改真兰收费系统-抄表信息
     *
     * @param param 真兰收费系统-抄表信息
     * @return 结果
     */
    @Override
    public int update(TGuijiZennerMeterReadingInfor param)
    {
        return mapper.update(param);
    }

    /**
     * 删除真兰收费系统-抄表信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteByIds(String ids)
    {
        return mapper.deleteByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除真兰收费系统-抄表信息信息
     *
     * @param id 真兰收费系统-抄表信息ID
     * @return 结果
     */
    @Override
    public int deleteById(String id)
    {
        return mapper.deleteById(id);
    }
}
